import './assets/main.css';
import 'virtual:uno.css';

import { createApp } from 'vue';
import { createPinia } from 'pinia';
import { createHead, unheadVueComposablesImports } from '@unhead/vue';

import App from './App.vue';
import { router } from './router';
import { DataLoaderPlugin } from 'unplugin-vue-router/data-loaders';

createApp(App)
  .use(createHead())
  .use(createPinia())
  // Register the plugin before the router
  .use(DataLoaderPlugin, { router })
  // adding the router will trigger the initial navigation
  .use(router)
  .mount('#app');
